---
title: Web APIs
slug: Web/API
tags:
  - API
  - DOM
  - Landing
  - Reference
  - Web
---
<p><span class="seoSummary">When writing code for the Web, there are a large number of Web APIs available. Below is a list of all the APIs and interfaces (object types) that you may be able to use while developing your Web app or site.</span></p>

<p>Web APIs are typically used with JavaScript, although this doesn't always have to be the case.</p>

<h2 id="Specifications">Specifications</h2>

<p>This is a list of all the APIs that are available.</p>

<div>{{ListGroups}}</div>

<h2 id="Interfaces">Interfaces</h2>

<p>This is a list of all the interfaces (that is, types of objects) that are available.</p>

<div>{{APIListAlpha}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Events">Web API event reference</a></li>
</ul>
